<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of DataExchangeObject
 *
 * @author dghai
 */
class RequestObject {
    public $requestHash;
    public $call;
    public $paramArray;
    
    function __construct($hash, $functionCall, $params) 
    {
        $this->call = $functionCall;
        $this->paramArray = $params;
        $this->requestHash = $hash;
    }
    
    public function ToJSONString()
    {
        return json_encode($this);
    }
}

?>
